tt_pattern_state_add(library call)

NAME
tt_pattern_state_add — add a value to the state field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_state_add(
Tt_pattern p,
Tt_state s);

DESCRIPTION

The tt_pattern_state_add function adds a value to the state field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The s argument indicates the current delivery state of a message. The following values are defined:

TT_CREATED
    The message has been created, but not yet sent.

TT_SENT
    The message has been sent, but not yet handled.

TT_HANDLED
    The message has been handled; return values are valid.

TT_FAILED
    The message could not be delivered to a handler.

TT_QUEUED
    The message has been queued for delivery.

TT_STARTED
    The ToolTalk service is attempting to start a process to handle the message.

TT_REJECTED
    The message has been rejected by a possible handler.

RETURN VALUE

Upon successful completion, the tt_pattern_state_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).